Subject: Re: bug#37755: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2019 15:21:37 +0300

> From: Carlos Pita <[email-masked]>
> Date: Wed, 16 Oct 2019 19:07:26 -0300
> Cc: [email-masked]
> 
> The new change amounts to yet another code simplification and an
> overall ~40 reduction in LOCs.

Sorry, I think I'm missing something here.  It looks like you removed
the call to init_fringe_bitmap during dumping, and left its equivalent
only in define-fringe-bitmap, is that right?  If so, I cannot see how
this could work, because Emacs needs to have the standard fringe
bitmaps (for line truncation, continuation, etc.) be defined even
without a call to define-fringe-bitmap.  If you start the current
master under a debugger after putting a breakpoint in
Fdefine_fringe_bitmap, the breakpoint doesn't break, and yet the
bitmaps are known and will be displayed as needed.

What did I miss?